<?php

namespace App\Http\Controllers\Admin;

use App\Exports\FlightsExport;
use App\Exports\HotelReservationsExport;
use App\Exports\UmrahTripReservationsExport;
use App\Http\Controllers\Controller;

class ReportController extends Controller
{


    public function flightsReport()
    {
        $file = 'flights_report_'.time().'.xlsx';
        return (new FlightsExport())->download($file);
    }

    public function hotelReservationsReport()
    {
        $file = 'hotel_reservations_report_'.time().'.xlsx';
        return (new HotelReservationsExport())->download($file);
    }

    public function umrahTripReservationsReport ()
    {
        $file = 'umrah_trip_reservations_report_'.time().'.xlsx';
        return (new UmrahTripReservationsExport())->download($file);
    }


}
